[arch-commits] Commit in nemo-extensions/repos (6 files)

Alexandre Filgueira faidoc at archlinux.org
Sat Nov 1 19:46:22 UTC 2014


    Date: Saturday, November 1, 2014 @ 20:46:22
  Author: faidoc
Revision: 121679

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  nemo-extensions/repos/community-staging-i686/
  nemo-extensions/repos/community-staging-i686/PKGBUILD
    (from rev 121678, nemo-extensions/trunk/PKGBUILD)
  nemo-extensions/repos/community-staging-i686/nemo-pastebin.install
    (from rev 121678, nemo-extensions/trunk/nemo-pastebin.install)
  nemo-extensions/repos/community-staging-x86_64/
  nemo-extensions/repos/community-staging-x86_64/PKGBUILD
    (from rev 121678, nemo-extensions/trunk/PKGBUILD)
  nemo-extensions/repos/community-staging-x86_64/nemo-pastebin.install
    (from rev 121678, nemo-extensions/trunk/nemo-pastebin.install)

------------------------------------------------+
 community-staging-i686/PKGBUILD                |  175 +++++++++++++++++++++++
 community-staging-i686/nemo-pastebin.install   |   11 +
 community-staging-x86_64/PKGBUILD              |  175 +++++++++++++++++++++++
 community-staging-x86_64/nemo-pastebin.install |   11 +
 4 files changed, 372 insertions(+)

Copied: nemo-extensions/repos/community-staging-i686/PKGBUILD (from rev 121678, nemo-extensions/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2014-11-01 19:46:22 UTC (rev 121679)
@@ -0,0 +1,175 @@
+# $Id$
+# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
+
+pkgbase=nemo-extensions
+pkgname=('nemo-fileroller'
+	 'nemo-preview'
+	 'nemo-python'
+	 'nemo-share'
+	 'nemo-seahorse')
+	#'nemo-media-columns'
+	#'nemo-pastebin'
+	#'nemo-compare'
+	#'nemo-rabbitvcs'
+pkgver=2.4.0
+_pkgver=2.4.x
+pkgrel=1
+arch=('i686' 'x86_64')
+license=('GPL2')
+url="https://github.com/linuxmint/nemo-extensions"
+depends=(nemo file-roller cjs clutter-gtk clutter-gst gst-plugins-good libmusicbrainz5
+         evince gtksourceview3 webkitgtk python2-gobject seahorse-nautilus samba)
+makedepends=(gconf gnome-common gtk-doc intltool) # python2-distutils-extra
+options=('!emptydirs')
+source=("${pkgbase}-${pkgver}.tar.gz::https://github.com/linuxmint/nemo-extensions/archive/${_pkgver}.tar.gz")
+sha256sums=('a46547592438c5aef46940c314dea4d10bd4f8c746fe758b5430a6a69adf76a0')
+
+prepare() {
+  cd ${pkgbase}-${_pkgver}
+
+  # Python2 fix
+  find -type f | xargs sed -i 's@^#!.*python$@#!/usr/bin/python2@'
+
+  # Fix nemo-preview build
+  sed -i '/AM_GNU_GETTEXT/d' nemo-preview/configure.ac
+}
+
+build() {
+  cd ${pkgbase}-${_pkgver}
+
+  _configure_pkgs="nemo-fileroller nemo-seahorse nemo-share"
+  for dir in ${_configure_pkgs}
+  do
+    pushd ${dir}
+    autoreconf -fi
+    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
+                --disable-static --disable-schemas-compile
+    make
+    popd
+  done
+
+  _autogen_pkgs="nemo-preview nemo-python"
+  for dir in ${_autogen_pkgs}
+  do
+    pushd ${dir}
+    ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
+                 --disable-static --disable-schemas-compile
+    make
+    popd
+  done
+
+    # # nemo-pastebin
+    # cd nemo-pastebin
+    # python2 ./setup.py build --build-base ${srcdir}/build/ || return 1
+    # cd ..
+
+  	# nemo-media-columns
+  	# Nothing to do here
+  	# Required python2-pypdf from AUR
+
+  	# nemo-compare
+  	# cd nemo-compare
+
+    # nemo-rabbitvcs
+    # Nothing to do here
+
+}
+
+package_nemo-fileroller(){
+  pkgdesc="File archiver extension for Nemo"
+  depends=(nemo file-roller)
+
+  cd ${pkgbase}-${_pkgver}/nemo-fileroller
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-preview(){
+  pkgdesc=("GtkClutter and Javascript-based quick previewer for Nemo")
+  depends=(nemo cjs clutter-gtk clutter-gst libmusicbrainz5 evince gtksourceview3 webkitgtk)
+
+  cd ${pkgbase}-${_pkgver}/nemo-preview
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-python() {
+  pkgdesc="Python2 binding for Nemo components"
+  depends=(nemo python2-gobject)
+
+  cd ${pkgbase}-${_pkgver}/nemo-python
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-seahorse(){
+  pkgdesc="PGP encryption and signing extension for Nemo"
+  depends=(nemo seahorse-nautilus)
+
+  cd ${pkgbase}-${_pkgver}/nemo-seahorse
+  make DESTDIR="${pkgdir}" install
+
+  # seahorse-tool is already in seahorse-nautilus package
+  make -C tool DESTDIR="${pkgdir}" uninstall
+}
+
+package_nemo-share(){
+  pkgdesc="Samba extension for Nemo"
+  depends=(nemo samba)
+
+  cd ${pkgbase}-${_pkgver}/nemo-share
+  make DESTDIR="${pkgdir}" install
+}
+
+# package_nemo-media-columns(){
+# 	cd ${pkgbase}-${_pkgver}/nemo-media-columns
+
+# 	pkgdesc=("A Nemo extension to display music/EXIF and PDF metadata info in the Nemo List View")
+# 	arch=(any)
+
+#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
+# 	install -Dm755 ${srcdir}/nemo-media-columns.py \
+# 			${pkgdir}/usr/share/nemo-python/extensions/nemo-media-columns.py
+# }
+
+# package_nemo-pastebin(){
+# 	cd ${pkgbase}-${_pkgver}/nemo-pastebin
+
+# 	pkgdesc="Nemo extension to send files to a pastebin"
+# 	arch=(any)
+# 	depends=(nemo pastebinit nemo-python)
+#   install=nemo-pastebin.install
+
+# 	python2 ./setup.py install --prefix=/usr --root=${pkgdir} \
+# 		--no-compile -O0
+# }
+
+# package_nemo-compare() {
+#   cd ${pkgbase}-${_pkgver}/nemo-compare
+
+#   pkgdesc="Context menu comparison extension for Nemo file manager"
+#   depends=(python2 python2-xdg meld nemo-python)
+
+#   install -d ${pkgdir}/usr/share/applications/
+#   install -d ${pkgdir}/usr/share/nemo-compare/
+
+#   install -Dm755 ${srcdir}/data/nemo-compare-preferences.desktop \
+#                   /usr/share/applications/nemo-compare-preferences.desktop
+#   install -Dm755 ${srcdir}/data/nemo-compare-notification \
+#                   /usr/share/nemo-compare/nemo-compare-notification
+#   install -Dm755 ${srcdir}/src/nemo-compare.py \
+#                   /usr/share/nemo-compare/nemo-compare.py
+#   install -Dm755 ${srcdir}/src/utils.py \
+#                   /usr/share/nemo-compare/utils.py
+#   install -Dm755 ${srcdir}/src/nemo-compare-preferences.py \
+#                   /usr/share/nemo-compare/nemo-compare-preferences.py
+
+# }
+
+# package_nemo-rabbitvcs(){
+# 	cd ${pkgbase}-${_pkgver}/nemo-rabbitvcs
+
+#   depends=(nemo-python python2-dbus)
+
+#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
+#   install -Dm755 ${srcdir}/RabbitVCS.py \
+#       ${pkgdir}/usr/share/nemo-python/extensions/RabbitVCS.py
+# }
+

Copied: nemo-extensions/repos/community-staging-i686/nemo-pastebin.install (from rev 121678, nemo-extensions/trunk/nemo-pastebin.install)
===================================================================
--- community-staging-i686/nemo-pastebin.install	                        (rev 0)
+++ community-staging-i686/nemo-pastebin.install	2014-11-01 19:46:22 UTC (rev 121679)
@@ -0,0 +1,11 @@
+post_install() {
+  glib-compile-schemas usr/share/glib-2.0/schemas
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}

Copied: nemo-extensions/repos/community-staging-x86_64/PKGBUILD (from rev 121678, nemo-extensions/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2014-11-01 19:46:22 UTC (rev 121679)
@@ -0,0 +1,175 @@
+# $Id$
+# Maintainer: Alexandre Filgueira <alexfilgueira at antergos.com>
+
+pkgbase=nemo-extensions
+pkgname=('nemo-fileroller'
+	 'nemo-preview'
+	 'nemo-python'
+	 'nemo-share'
+	 'nemo-seahorse')
+	#'nemo-media-columns'
+	#'nemo-pastebin'
+	#'nemo-compare'
+	#'nemo-rabbitvcs'
+pkgver=2.4.0
+_pkgver=2.4.x
+pkgrel=1
+arch=('i686' 'x86_64')
+license=('GPL2')
+url="https://github.com/linuxmint/nemo-extensions"
+depends=(nemo file-roller cjs clutter-gtk clutter-gst gst-plugins-good libmusicbrainz5
+         evince gtksourceview3 webkitgtk python2-gobject seahorse-nautilus samba)
+makedepends=(gconf gnome-common gtk-doc intltool) # python2-distutils-extra
+options=('!emptydirs')
+source=("${pkgbase}-${pkgver}.tar.gz::https://github.com/linuxmint/nemo-extensions/archive/${_pkgver}.tar.gz")
+sha256sums=('a46547592438c5aef46940c314dea4d10bd4f8c746fe758b5430a6a69adf76a0')
+
+prepare() {
+  cd ${pkgbase}-${_pkgver}
+
+  # Python2 fix
+  find -type f | xargs sed -i 's@^#!.*python$@#!/usr/bin/python2@'
+
+  # Fix nemo-preview build
+  sed -i '/AM_GNU_GETTEXT/d' nemo-preview/configure.ac
+}
+
+build() {
+  cd ${pkgbase}-${_pkgver}
+
+  _configure_pkgs="nemo-fileroller nemo-seahorse nemo-share"
+  for dir in ${_configure_pkgs}
+  do
+    pushd ${dir}
+    autoreconf -fi
+    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
+                --disable-static --disable-schemas-compile
+    make
+    popd
+  done
+
+  _autogen_pkgs="nemo-preview nemo-python"
+  for dir in ${_autogen_pkgs}
+  do
+    pushd ${dir}
+    ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib/${dir} \
+                 --disable-static --disable-schemas-compile
+    make
+    popd
+  done
+
+    # # nemo-pastebin
+    # cd nemo-pastebin
+    # python2 ./setup.py build --build-base ${srcdir}/build/ || return 1
+    # cd ..
+
+  	# nemo-media-columns
+  	# Nothing to do here
+  	# Required python2-pypdf from AUR
+
+  	# nemo-compare
+  	# cd nemo-compare
+
+    # nemo-rabbitvcs
+    # Nothing to do here
+
+}
+
+package_nemo-fileroller(){
+  pkgdesc="File archiver extension for Nemo"
+  depends=(nemo file-roller)
+
+  cd ${pkgbase}-${_pkgver}/nemo-fileroller
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-preview(){
+  pkgdesc=("GtkClutter and Javascript-based quick previewer for Nemo")
+  depends=(nemo cjs clutter-gtk clutter-gst libmusicbrainz5 evince gtksourceview3 webkitgtk)
+
+  cd ${pkgbase}-${_pkgver}/nemo-preview
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-python() {
+  pkgdesc="Python2 binding for Nemo components"
+  depends=(nemo python2-gobject)
+
+  cd ${pkgbase}-${_pkgver}/nemo-python
+  make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-seahorse(){
+  pkgdesc="PGP encryption and signing extension for Nemo"
+  depends=(nemo seahorse-nautilus)
+
+  cd ${pkgbase}-${_pkgver}/nemo-seahorse
+  make DESTDIR="${pkgdir}" install
+
+  # seahorse-tool is already in seahorse-nautilus package
+  make -C tool DESTDIR="${pkgdir}" uninstall
+}
+
+package_nemo-share(){
+  pkgdesc="Samba extension for Nemo"
+  depends=(nemo samba)
+
+  cd ${pkgbase}-${_pkgver}/nemo-share
+  make DESTDIR="${pkgdir}" install
+}
+
+# package_nemo-media-columns(){
+# 	cd ${pkgbase}-${_pkgver}/nemo-media-columns
+
+# 	pkgdesc=("A Nemo extension to display music/EXIF and PDF metadata info in the Nemo List View")
+# 	arch=(any)
+
+#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
+# 	install -Dm755 ${srcdir}/nemo-media-columns.py \
+# 			${pkgdir}/usr/share/nemo-python/extensions/nemo-media-columns.py
+# }
+
+# package_nemo-pastebin(){
+# 	cd ${pkgbase}-${_pkgver}/nemo-pastebin
+
+# 	pkgdesc="Nemo extension to send files to a pastebin"
+# 	arch=(any)
+# 	depends=(nemo pastebinit nemo-python)
+#   install=nemo-pastebin.install
+
+# 	python2 ./setup.py install --prefix=/usr --root=${pkgdir} \
+# 		--no-compile -O0
+# }
+
+# package_nemo-compare() {
+#   cd ${pkgbase}-${_pkgver}/nemo-compare
+
+#   pkgdesc="Context menu comparison extension for Nemo file manager"
+#   depends=(python2 python2-xdg meld nemo-python)
+
+#   install -d ${pkgdir}/usr/share/applications/
+#   install -d ${pkgdir}/usr/share/nemo-compare/
+
+#   install -Dm755 ${srcdir}/data/nemo-compare-preferences.desktop \
+#                   /usr/share/applications/nemo-compare-preferences.desktop
+#   install -Dm755 ${srcdir}/data/nemo-compare-notification \
+#                   /usr/share/nemo-compare/nemo-compare-notification
+#   install -Dm755 ${srcdir}/src/nemo-compare.py \
+#                   /usr/share/nemo-compare/nemo-compare.py
+#   install -Dm755 ${srcdir}/src/utils.py \
+#                   /usr/share/nemo-compare/utils.py
+#   install -Dm755 ${srcdir}/src/nemo-compare-preferences.py \
+#                   /usr/share/nemo-compare/nemo-compare-preferences.py
+
+# }
+
+# package_nemo-rabbitvcs(){
+# 	cd ${pkgbase}-${_pkgver}/nemo-rabbitvcs
+
+#   depends=(nemo-python python2-dbus)
+
+#   install -d ${pkgdir}/usr/share/nemo-python/extensions/
+#   install -Dm755 ${srcdir}/RabbitVCS.py \
+#       ${pkgdir}/usr/share/nemo-python/extensions/RabbitVCS.py
+# }
+

Copied: nemo-extensions/repos/community-staging-x86_64/nemo-pastebin.install (from rev 121678, nemo-extensions/trunk/nemo-pastebin.install)
===================================================================
--- community-staging-x86_64/nemo-pastebin.install	                        (rev 0)
+++ community-staging-x86_64/nemo-pastebin.install	2014-11-01 19:46:22 UTC (rev 121679)
@@ -0,0 +1,11 @@
+post_install() {
+  glib-compile-schemas usr/share/glib-2.0/schemas
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}


More information about the arch-commits mailing list